package cn.hanghui.outapi.platform.ldrk.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * token/公司名/负责人电话/负责人
 */
@Data
public class LdrkReportDto {
    /**
     * 姓名（加密）
     */
    @ApiModelProperty(value = "姓名", required = true)
    private String xm;

    /**
     * 手机号（加密）
     */
    @ApiModelProperty(value = "手机号", required = true)
    private String lxdh;

    /**
     * 身份证号（加密）
     */
    @ApiModelProperty(value = "身份证号", required = true)
    private String sfzh;

    /**
     * 户口省县 6位代码
     */
    @ApiModelProperty("户口省县 6位代码")
    private String hksx;

    /**
     * 户口详址
     */
    @ApiModelProperty("户口详址")
    private String hkxz;

    /**
     * 现住地辖区 6位代码
     */
    @ApiModelProperty(value = "现住地辖区 6位代码", required = true)
    private String xzdqh;

    /**
     * 派出所 9位代码
     */
    @ApiModelProperty(value = "派出所 9位代码", required = true)
    private String pcs;

    /**
     * 居委会 12位代码
     */
    @ApiModelProperty(value = "居委会 12位代码", required = true)
    private String jwh;

    /**
     * 房号 字节长度0-20之间，中文3字节
     */
    @ApiModelProperty("房号 字节长度0-20之间，中文3字节")
    private String fh;

    /**
     * 启租日期 日期格式：yyyyMMdd
     */
    @ApiModelProperty("启租日期 日期格式：yyyyMMdd")
    private String qzrq;

    /**
     * 居住期限
     */
    @ApiModelProperty("居住期限")
    private String zzsj;

    /**
     * 工作单位
     */
    @ApiModelProperty("工作单位")
    private String gzdw;

    /**
     * 人员照片 Base64格式
     */
    @ApiModelProperty(value = "人员照片 Base64格式", required = true)
    private String ryzp;

    /**
     * 现住地详址
     */
    @ApiModelProperty(value = "现住地详址", required = true)
    private String xzdxz;
}
