package cn.hanghui.outapi.platform.tenant.entity.config.device.template;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @description:
 * @ClassName IotDeviceConfigTemplateVo
 * @Author WXG
 * @Date 2023/12/29 9:18
 */
@Data
public class DeviceTemplateVo extends DeviceTemplateDto {

    @ApiModelProperty(value = "应用类型")
    private String applicationType;
    @ApiModelProperty(value = "设备型号(硬件)")
    private String deviceModelHardware;
    @ApiModelProperty(value = "设备型号(环境)")
    private String deviceModelEnvironment;
    @ApiModelProperty(value = "系统类型")
    private String systemType;
    @ApiModelProperty(value = "服务商平台名称")
    private String tenantName;
    @ApiModelProperty(value = "用户库名称")
    private String userLibName;;
    @ApiModelProperty(value = "场景名称")
    private String sceneName;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
