package cn.hanghui.outapi.platform.tenant.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto
 * @class IotDeviceConfigPageDto
 * @date 2023/12/5 下午1:36
 * @description
 */
@Data
public class IotDeviceAppletConfigDto {

    @ApiModelProperty(value = "认证token")
    @NotBlank(message = "请传入认证的token")
    private String token;

    @ApiModelProperty("设备编号")
    @NotBlank(message = "请传入设备编号")
    private String sn;
}
