package cn.hanghui.outapi.platform.tenant.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto
 * @class RiskPcDto
 * @date 2024/1/17 上午10:04
 * @description
 */
@Data
public class RiskPcDto implements Serializable {

    @ApiModelProperty("应用id唯一标识")
    private String appId;

    @ApiModelProperty("加密内容 {\"sn\":\"\",\"name\":\"\",\"idNumber\":\"\",\"phone\":\"\"}")
    private String bizContent;

    @ApiModelProperty("时间戳 毫秒")
    private Long reqTimestamp;

    @ApiModelProperty(value = "签名md5(appKey+appSecret+timestamp) 小写32位")
    private String sign;


}
