package cn.hanghui.outapi.platform.tenant.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto
 * @class RiskPcVo
 * @date 2024/1/17 上午11:08
 * @description
 */
@Data
public class RiskPcVo implements Serializable {

    //命中结果由 6 位 0|1 的字符串组成，分别为 第 1 位-其 他、第 2 位-前科、第 3 位-涉毒、 第 4 位-吸毒、第 5 位-在逃、第 6 位-涉案(包括在逃撤销)。 值为 1 表示命中，0 表示未 命中。
    @ApiModelProperty("加密内容 {\"result\":false,\"resultInfo\":{\"personFxpfjxCode\":200,\"personFxpfjx\":\"001010\"}}")
    private String bizContent;

    @ApiModelProperty("时间戳 毫秒")
    private Long reqTimestamp;

    @ApiModelProperty(value = "签名md5(appKey+appSecret+timestamp) 小写32位")
    private String sign;

}
