package cn.hanghui.outapi.platform.tenant.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class SceneDto {

    private Long id;

    @ApiModelProperty(value = "场景名称（出⾏/企业）")
    private String sceneName;

    @ApiModelProperty(value = "场景参数（TRAFFIC/COMPANY）")
    private String trade;

    @ApiModelProperty(value = "第几页 起始页1")
    private Integer pageNumber = 1;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize = 10;

}
