package cn.hanghui.outapi.platform.tenant.entity.dto.auth;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.auth
 * @class OpenInterfaceAuthDto
 * @date 2024/1/17 下午1:33
 * @description
 */
@Data
public class OpenInterfaceAuthPageDto implements Serializable {

    @ApiModelProperty(value = "购买方公司id")
    private Long purchaserId;

    @ApiModelProperty(value = "第几页 起始页1")
    private Integer pageNumber = 1;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize = 10;

}
