package cn.hanghui.outapi.platform.tenant.entity.dto.blacklist;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;


/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.blacklist
 * @class UserBlacklistOpenSearch
 * @date 2024/8/30 上午9:14
 * @description
 */
@Data
public class UserBlacklistOpenSearch {

    @ApiModelProperty(value = "鉴权token")
    @NotBlank(message = "无权访问")
    private String token;

    @ApiModelProperty(value = "设备编号")
    @NotBlank(message = "设备编号不能为空")
    private String sn;

    /**
     * @see cn.hanghui.outapi.platform.tenant.entity.enums.DeviceTypeEnum
     */
    @ApiModelProperty(value = "设备类型")
    private Integer deviceType;


}
