package cn.hanghui.outapi.platform.tenant.entity.dto.hhculture;

import cn.hanghui.outapi.platform.tenant.entity.config.maintenance.BaseSearch;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.hhculture
 * @class HhCultureDeviceTemplateSearch
 * @date 2024/7/19 上午10:58
 * @description
 */
@Data
public class HhCultureDeviceTemplateSearch extends BaseSearch {

    @ApiModelProperty(value = "设备模版id")
    private Long deviceTemplateId;

    @ApiModelProperty(value = "应用类型id")
    private Long applicationTypeId;

    @ApiModelProperty(value = "设备型号(硬件)id")
    private Long deviceModelHardwareId;

    @ApiModelProperty(value = "设备型号(环境)id")
    private Long deviceModelEnvironmentId;

    @ApiModelProperty(value = "系统类型 1-蚂蚁OS 2-非蚂蚁OS")
    private Integer systemTypeCode;

    @ApiModelProperty(value = "服务商平台id")
    private Long tenantId;

    @ApiModelProperty(value = "用户库id")
    private Long userLibId;

}