package cn.hanghui.outapi.platform.tenant.entity.dto.proof;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.proof
 * @class ProvisionalIdentityProofNoticeVo
 * @date 2024/5/13 上午11:21
 * @description
 */
@Data
public class ProvisionalIdentityProofNoticeVo implements Serializable {

    private Long id;

    @ApiModelProperty(value = "配置名称")
    private String name;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "须知内容 富文本")
    private String notice;

    @ApiModelProperty(value = "公章")
    private String officialSeal;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
