package cn.hanghui.outapi.platform.tenant.entity.po;

import cn.hanghui.outapi.platform.common.entity.po.Base;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.po
 * @class IotReqLog
 * @date 2023/6/9 下午1:40
 * @description 调用日志表
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "iot_req_log", autoResultMap = true)
public class IotReqLog extends Base {

    private Long iotPlatformAuthId;

    private String ip;

    private String token;

    private Integer reqTimes;

}
