package cn.hanghui.outapi.platform.tenant.entity.po;

import cn.hanghui.outapi.platform.common.entity.po.Base;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
/**
 * <p>
 * 购买方管理
 * </p>
 *
 * @author wxg
 * @since 2023-12-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("purchaser")
@ApiModel(value="Purchaser对象", description="购买方管理")
public class Purchaser extends Base {

    @ApiModelProperty(value = "公司名称")
    @TableField("company_name")
    private String companyName;

    @ApiModelProperty(value = "公司地址")
    @TableField("company_address")
    private String companyAddress;

    @ApiModelProperty(value = "公司负责人姓名")
    @TableField("company_head_name")
    private String companyHeadName;

    @ApiModelProperty(value = "负责人联系电话")
    @TableField("company_head_phone")
    private String companyHeadPhone;


}
