package cn.hanghui.outapi.platform.xinghuo.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@ApiModel("根据二维码获取凭证参数")
@EqualsAndHashCode(callSuper = true)
public class GetProofByQrCodeDto extends XinghuoBaseDto {

    /**
     * 二维码文本
     */
    @ApiModelProperty(value = "二维码文本", required = true)
    private String qrCodeText;

    /**
     * 设备编号
     */
    @ApiModelProperty(value = "设备mac地址", required = true)
    private String macAddress;
}
