package cn.hanghui.outapi.platform.common.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.common.entity.dto
 * @class PcLoginDto
 * @date 2023/4/23 上午9:14
 * @description
 */
@Data
@ApiModel(value = "登录传递参数")
public class PcLoginDto {

    /**
     * 账号名称
     */
    @ApiModelProperty(value = "账号名称", required = true)
    private String username;

    /**
     * 密码
     */
    @ApiModelProperty(value = "密码", required = true)
    private String password;


}
