package cn.hanghui.outapi.platform.ldrk.entity.param;

import lombok.Data;

@Data
public class LdrkReportParam {

    /**
     * 姓名（加密）
     */
    private String xm;

    /**
     * 手机号（加密）
     */
    private String lxdh;

    /**
     * 身份证号（加密）
     */
    private String sfzh;

    /**
     * 户口省县 6位代码
     */
    private String hksx;

    /**
     * 户口详址
     */
    private String hkxz;

    /**
     * 现住地辖区 6位代码
     */
    private String xzdqh;

    /**
     * 派出所 9位代码
     */
    private String pcs;

    /**
     * 居委会 12位代码
     */
    private String jwh;

    /**
     * 房号 字节长度0-20之间，中文3字节
     */
    private String fh;

    /**
     * 启租日期 日期格式：yyyyMMdd
     */
    private String qzrq;

    /**
     * 居住期限
     */
    private String zzsj;

    /**
     * 工作单位
     */
    private String gzdw;

    /**
     * 人员照片 Base64格式
     */
    private String ryzp;

    /**
     * 现住地详址
     */
    private String xzdxz;
}
