package cn.hanghui.outapi.platform.tenant.entity.config.ampe;

import cn.hanghui.outapi.platform.tenant.entity.config.maintenance.BaseSearch;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @description:
 * @ClassName DeviceModelSearch
 * @Author WXG
 * @Date 2023/12/27 14:27
 */
@Data
public class AmpeSearch extends BaseSearch {
    @ApiModelProperty(value = "ampe平台id")
    private Long ampeId;

    @ApiModelProperty(value = "产品ID(product_id)")
    private String productId;

    @ApiModelProperty(value = "调用应用(ampe_appid)")
    private String hostAppId;

    @ApiModelProperty(value = "小程序AppId(miniProgram_appid)")
    private String appId;

    @ApiModelProperty(value = "小程序名称")
    private String appName;
}
