package cn.hanghui.outapi.platform.tenant.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto
 * @class ProveDeviceVo
 * @date 2023/12/5 下午2:40
 * @description
 */
@Data
public class ProveDeviceVo {
    /**
     * 主键
     */
    private Long id;

    @ApiModelProperty(value = "设备编号")
    private String sn;

    @ApiModelProperty(value = "设备地点")
    private String address;

    @ApiModelProperty(value = "办证标题")
    private String handleProveTitle;

    @ApiModelProperty(value = "办证须知")
    private String handleProveNotice;

    @ApiModelProperty(value = "章")
    private String zhang;

    @ApiModelProperty(value = "临证须知ID")
    private Long handleProveId;

    @ApiModelProperty(value = "跳转链接")
    private String jumpUrl;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


}
