package cn.hanghui.outapi.platform.tenant.entity.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto
 * @class RiskPcBodyResp
 * @date 2024/1/17 上午10:07
 * @description
 */
@Data
public class RiskPcBodyResp implements Serializable {

    //命中结果由 6 位 0|1 的字符串组成，分别为 第 1 位-其他、第 2 位-前科、第 3 位-涉毒、 第 4 位-吸毒、第 5 位-在逃、第 6 位-涉案(包括在逃撤销)。 值为 1 表示命中，0 表示未 命中。
    private String compStatus;
    private String hitMsg;

    //token有效期为7200秒
    private String token;
    private String expressTime;

}
