package cn.hanghui.outapi.platform.tenant.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TenantReqDto {

    @ApiModelProperty(value = "主键ID")
    private Long id;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "设备appId")
    private String machineAppId;

    @ApiModelProperty(value = "商户appId")
    private String serviceAppId;

    @ApiModelProperty(value = "商户平台地址")
    private String serviceAddress;

    @ApiModelProperty(value = "三方授权token")
    private String appAuthToken;

    @ApiModelProperty(value = "是否是三方授权 默认false")
    private Boolean thirdAuth = Boolean.FALSE;

    @ApiModelProperty(value = "入库接口地址")
    private String faceinAddress;

    @ApiModelProperty(value = "第几页 起始页1")
    private Integer pageNumber = 1;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize = 10;


}
