package cn.hanghui.outapi.platform.tenant.entity.dto.auth;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.auth
 * @class OpenInterfaceAuthDeviceDto
 * @date 2024/1/17 下午3:35
 * @description
 */
@Data
public class OpenInterfaceAuthDeviceImportDto implements Serializable {

    private String sn;

    @ApiModelProperty(value = "购买方")
    private String purchaserName;

    @ApiModelProperty(value = "应用类型")
    private String applicationType;

    @ApiModelProperty(value = "设备型号")
    private String deviceModel;


}
