package cn.hanghui.outapi.platform.tenant.entity.dto.hhlocal;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.hhlocal
 * @class HhLocalDeviceTemplateLessVo
 * @date 2024/9/25 上午9:28
 * @description
 */
@Data
public class HhLocalDeviceTemplateVo extends HhLocalDeviceBase {

    @ApiModelProperty(value = "设备模版id")
    private Long deviceTemplateId;

    @ApiModelProperty(value = "模版名称")
    private String templateName;

    @ApiModelProperty(value = "应用类型")
    private String applicationType;
    @ApiModelProperty(value = "设备型号(硬件)")
    private String deviceModelHardware;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
