package cn.hanghui.outapi.platform.tenant.entity.dto.proof;

import cn.hanghui.outapi.platform.tenant.entity.config.maintenance.BaseSearch;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.proof
 * @class ProvisionalIdentityProofDeviceSearch
 * @date 2024/5/13 上午11:23
 * @description
 */
@Data
public class ProvisionalIdentityProofDeviceSearch extends BaseSearch implements Serializable {

    private Long id;

    //基本信息配置
    @ApiModelProperty(value = "设备编号")
    private String sn;

    @ApiModelProperty(value = "购买方公司id")
    private Long purchaserId;

    @ApiModelProperty(value = "应用类型id")
    private Long applicationTypeId;

    @ApiModelProperty(value = "设备型号(硬件)id")
    private Long deviceModelHardwareId;

    @ApiModelProperty(value = "设备型号(环境)id")
    private Long deviceModelEnvironmentId;

    @ApiModelProperty(value = "系统类型 1-蚂蚁OS 2-非蚂蚁OS")
    private Integer systemTypeCode;

    @ApiModelProperty(value = "授权状态  false：未授权 true：已授权")
    private Boolean status;

}
