package cn.hanghui.outapi.platform.tenant.entity.po;

import cn.hanghui.outapi.platform.common.entity.po.Base;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.po
 * @class AppApk
 * @date 2023/10/8 下午2:53
 * @description
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "app_apk", autoResultMap = true)
public class AppApk extends Base {

    /**
     * 安装包名称
     */
    private String apkTitle;

    /**
     * 安装包版本
     */
    private String apkVersion;

    /**
     * 安装包的地址
     */
    private String apkPath;

    /**
     * apk状态 1:完成
     */
    private Integer apkStatus;


}
