package cn.hanghui.outapi.platform.tenant.entity.po;

import cn.hanghui.outapi.platform.common.entity.po.Base;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.po
 * @class UserBlacklistTask
 * @date 2024/8/28 下午4:07
 * @description
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(value = "user_blacklist_task", autoResultMap = true)
public class UserBlacklistTask extends Base {

    @ApiModelProperty(value = "任务名称")
    private String taskName;

    @ApiModelProperty(value = "购买方公司id")
    private Long purchaserId;



}
