package cn.hanghui.outapi.platform.tenant.service;


import cn.hanghui.outapi.platform.tenant.entity.config.iot.template.IotDeviceConfigTemplateDto;
import cn.hanghui.outapi.platform.tenant.entity.config.iot.template.IotDeviceConfigTemplateLessVo;
import cn.hanghui.outapi.platform.tenant.entity.config.iot.template.IotDeviceConfigTemplateSearch;
import cn.hanghui.outapi.platform.tenant.entity.config.iot.template.IotDeviceConfigTemplateVo;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * <p>
 * iot设备配置模版 服务类
 * </p>
 *
 * @author wxg
 * @since 2023-12-29
 */
public interface IotDeviceConfigTemplateService {
    Boolean edit(IotDeviceConfigTemplateDto dto);
    List<IotDeviceConfigTemplateLessVo> iotDeviceConfigTemplateList();
    IPage<IotDeviceConfigTemplateVo> iotDeviceConfigTemplatePage(IotDeviceConfigTemplateSearch dto);
    Boolean iotDeviceConfigTemplateDelete(Long iotDeviceConfigTemplateId);
    IotDeviceConfigTemplateVo templateDetail(Long iotDeviceConfigTemplateId);
}
